Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.jdbc.sql
Interface PathJoins

All Superinterfaces:
  Joins

All Known Implementing Classes:
  SelectImpl, SelectImpl.SelectResult

    interface PathJoins

extends Joins

Common joins interface used internally. Cannot be made an inner class because the outer class (Select) has to implement it.

Method Summary
`String` | `getPathStr()`
`Select` | `getSelect()` The select owner of this join
`boolean` | `isDirty()` Return true if this instance has a path, any joins, or a variable.
`int` | `joinCount()` Return the maximum number of joins contained in this instance at any time.
`JoinSet` | `joins()` Return the set of `Join` elements, or null if none.
`void` | `nullJoins()` Null the set of `Join` elements.
`StringBuilder` | `path()` Return the relation path traversed by these joins, or null if none.
`PathJoins` | `setOuter(boolean outer)` Mark this as an outer joins set.

Methods inherited from interface org.apache.openjpa.jdbc.sql.Joins
`crossJoin, getCorrelatedVariable, isEmpty, isOuter, join, joinRelation, moveJoinsToParent, outerJoin, outerJoinRelation, setCorrelatedVariable, setJoinContext, setSubselect, setVariable`

Method Detail

### setOuter

    PathJoins setOuter(boolean outer)

  Mark this as an outer joins set.

### isDirty

    boolean isDirty()

  Return true if this instance has a path, any joins, or a variable.

### path

    StringBuilder path()

  Return the relation path traversed by these joins, or null if none.

### joins

    JoinSet joins()

  Return the set of `Join` elements, or null if none.

### joinCount

    int joinCount()

  Return the maximum number of joins contained in this instance at any time.

### nullJoins

    void nullJoins()

  Null the set of `Join` elements.

### getSelect

    Select getSelect()

  The select owner of this join

  Returns:

### getPathStr

    String getPathStr()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.